Ubuntu

mini.iso hat no rtl8187 kernel modul

Reported by Lebowski on 2012-04-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

SRU Justification

Impact

Unable to use network install (mini.iso) with rtl8187.

Fix

Include rtl8187 in nic-usb-modules udeb.

Test Case

Network install with rtl8187.

--------------------------------------------------------------

Hi,

i'm trying to preseed my ubuntu installation with mini.iso/netboot-Image over wifi.
lsusb shows me rtl8187. But loading rtl8187 failed, because the modul is missing'...

affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 971719

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Lebowski (schulte-martin) wrote :

It's during installation. Only busybox is available and i can't run the command from above.

modules rtl8287, rtl8187B and rtl8187L are not found is all i can say....

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Can you provide some additional details? What version of Ubuntu are you trying to install? If it's Precise(12.04), are you using the latest daily iso?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Lebowski (schulte-martin) wrote :

Yes,
12.04 and the latest daily build

description: updated

Hello Lebowski, or anyone else affected,

Accepted linux into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Precise):
status: Incomplete → Fix Committed

I've examined the contents of the nic-usb-modules udeb from the 3.2.0-24.37 kernel in precise-proposed and can confirm the rtl8187 module is included:

$ for x in `ls nic-usb-modules*.udeb`; do echo $x; dpkg -c $x | grep "rtl8187.ko"; done
nic-usb-modules-3.2.0-24-generic-di_3.2.0-24.37_amd64.udeb
-rw-r--r-- root/root 100456 2012-04-25 04:53 ./lib/modules/3.2.0-24-generic/kernel/drivers/net/wireless/rtl818x/rtl8187/rtl8187.ko
nic-usb-modules-3.2.0-24-generic-di_3.2.0-24.37_i386.udeb
-rw-r--r-- root/root 73748 2012-04-25 08:15 ./lib/modules/3.2.0-24-generic/kernel/drivers/net/wireless/rtl818x/rtl8187/rtl8187.ko
nic-usb-modules-3.2.0-24-generic-pae-di_3.2.0-24.37_i386.udeb
-rw-r--r-- root/root 73812 2012-04-25 08:42 ./lib/modules/3.2.0-24-generic-pae/kernel/drivers/net/wireless/rtl818x/rtl8187/rtl8187.ko

tags: added: verification-done-precise
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-24.37

---------------
linux (3.2.0-24.37) precise-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * d-i: Add hid-logitech-dj to input-modules
    - LP: #975198
  * d-i: Add rtl8187 driver to nic-usb-modules
    - LP: #971719

  [ Ian Abbott ]

  * SAUCE: staging: comedi: Add module parameters for default buffer size
    - LP: #981234
  * SAUCE: staging: comedi: Add kernel config for default buffer sizes
    - LP: #981234

  [ K. Y. Srinivasan ]

  * SAUCE: hv_storvsc: Account for in-transit packets in the RESET path
    - LP: #978394

  [ Leann Ogasawara ]

  * [Config] Set CONFIG_COMEDI_DEFAULT_BUF_[SIZE_KB,MAXSIZE_KB]
    - LP: #981234

  [ Luis Henriques ]

  * SAUCE: ite-cir: postpone ISR registration
    - LP: #984387

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: btusb: Add vendor specific ID (0489 e042) for
    BCM20702A0
    - LP: #980965

  [ Tim Gardner ]

  * Extract firmware module info during getabi
  * [Config] Remove hiq-quanta module references
    - LP: #913164
  * [Config] powerpc-smp: build in ATI and RADEON frame buffer drivers
    - LP: #949288

  [ Trond Myklebust ]

  * SAUCE: NFSv4: Ensure that the LOCK code sets exception->inode
    - LP: #974664
  * SAUCE: NFSv4: Ensure that we check lock exclusive/shared type against
    open modes
    - LP: #974664

  [ Upstream Kernel Changes ]

  * Input: psmouse - allow drivers to use psmouse_{de,}activate
    - LP: #969334
  * Input: psmouse - use psmouse_[de]activate() from sentelic and hgpk
    drivers
    - LP: #969334
  * Input: sentelic - refactor code for upcoming new hardware support
    - LP: #969334
  * Input: sentelic - enabling absolute coordinates output for newer
    hardware
    - LP: #969334
  * Input: sentelic - minor code cleanup
    - LP: #969334
  * Input: sentelic - improve packet debugging information
    - LP: #969334
  * Input: sentelic - filter taps in absolute mode
    - LP: #969334
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * NFSv4: Minor cleanups for nfs4_handle_exception and
    nfs4_async_handle_error
    - LP: #974664
  * NFSv4: Rate limit the state manager for lock reclaim warning messages
    - LP: #974664
  * HID: multitouch: merge quanta driver into hid-multitouch
    - LP: #913164
  * HID: usbhid: add quirk no_get for quanta 3008 devices
    - LP: #913164
 -- Leann Ogasawara <email address hidden> Tue, 24 Apr 2012 07:47:49 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers